IcedTea Plugin Doesnt Work

Bug #344705 reported by nullack
160
This bug affects 19 people
Affects Status Importance Assigned to Milestone
openjdk-6 (Ubuntu)
Fix Released
High
Unassigned
Nominated for Lucid by Jari J. Lehtinen
Jaunty
Won't Fix
Undecided
Unassigned

Bug Description

Binary package hint: icedtea6-plugin

Having installed the icedteam plugin for the web, I've found it does not work. Going to this test URL results in failure:

http://java.com/en/download/help/testvm.xml

CPU utilisation spams to 100% and no java applets are working.

I have the current Jaunty repo revision installed, which is the following:

nullack@PPP:~$ sudo apt-cache policy icedtea6-plugin
icedtea6-plugin:
  Installed: 6b14-1.4.1-0ubuntu4
  Candidate: 6b14-1.4.1-0ubuntu4
  Version table:
 *** 6b14-1.4.1-0ubuntu4 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

FireFox knows that it is installed:

IcedTea Java Web Browser Plugin

    File name: IcedTeaPlugin.so
    The IcedTea Java Web Browser Plugin 1.4.1 (6b14-1.4.1-0ubuntu4) executes Java applets.

MIME Type Description Suffixes Enabled
application/x-java-vm IcedTea class,jar Yes
application/x-java-applet IcedTea class,jar Yes
application/x-java-applet;version=1.1 IcedTea class,jar Yes
application/x-java-applet;version=1.1.1 IcedTea class,jar Yes
application/x-java-applet;version=1.1.2 IcedTea class,jar Yes
application/x-java-applet;version=1.1.3 IcedTea class,jar Yes
application/x-java-applet;version=1.2 IcedTea class,jar Yes
application/x-java-applet;version=1.2.1 IcedTea class,jar Yes
application/x-java-applet;version=1.2.2 IcedTea class,jar Yes
application/x-java-applet;version=1.3 IcedTea class,jar Yes
application/x-java-applet;version=1.3.1 IcedTea class,jar Yes
application/x-java-applet;version=1.4 IcedTea class,jar Yes
application/x-java-applet;version=1.4.1 IcedTea class,jar Yes
application/x-java-applet;version=1.4.2 IcedTea class,jar Yes
application/x-java-applet;version=1.5 IcedTea class,jar Yes
application/x-java-applet;version=1.6 IcedTea class,jar Yes
application/x-java-applet;jpi-version=1.6.0_00 IcedTea class,jar Yes
application/x-java-bean IcedTea class,jar Yes
application/x-java-bean;version=1.1 IcedTea class,jar Yes
application/x-java-bean;version=1.1.1 IcedTea class,jar Yes
application/x-java-bean;version=1.1.2 IcedTea class,jar Yes
application/x-java-bean;version=1.1.3 IcedTea class,jar Yes
application/x-java-bean;version=1.2 IcedTea class,jar Yes
application/x-java-bean;version=1.2.1 IcedTea class,jar Yes
application/x-java-bean;version=1.2.2 IcedTea class,jar Yes
application/x-java-bean;version=1.3 IcedTea class,jar Yes
application/x-java-bean;version=1.3.1 IcedTea class,jar Yes
application/x-java-bean;version=1.4 IcedTea class,jar Yes
application/x-java-bean;version=1.4.1 IcedTea class,jar Yes
application/x-java-bean;version=1.4.2 IcedTea class,jar Yes
application/x-java-bean;version=1.5 IcedTea class,jar Yes
application/x-java-bean;version=1.6 IcedTea class,jar Yes
application/x-java-bean;jpi-version=1.6.0_00 IcedTea class,jar Yes

Revision history for this message
Tuomas Aavikko (taavikko) wrote :

Related bug # 344669

Revision history for this message
nullack (nullack) wrote :

I conducted a test where I purged all openjdk and icedtea packages, replacing them with the Sun jre and plugin. Under this configuration, applets work in firefox with no problems.

Revision history for this message
Zorael (zorael) wrote :

I posted a thread about this over on ubuntuforums where I tried to rule out any user error and hopefully showed the fault lies with the actual icedtea plugin. Screenshots and version numbers included. See: http://ubuntuforums.org/showthread.php?t=1098830

Obviously, please prove me wrong. :3

Revision history for this message
nullack (nullack) wrote :

Yes mate I saw your post and originally felt it might be related to your somewhat custom setup. However since going through the details of my more standard install, and some debugging here:

http://ubuntuforums.org/showthread.php?t=1099379

My conclusion is youve got the same problem and its a problem inherent to the plugin itself.

Changed in openjdk-6:
status: New → Confirmed
Revision history for this message
Hernando Torque (htorque) wrote :

After copying /usr/lib/jvm/java-6-openjdk/jre/lib/i386/IcedTeaPlugin.so to /usr/lib/opera/plugins/ I could use the plugin with Opera but the page shows a warning about the Java installation being old. Test applets like here http://www.w3.org/People/mimasa/test/object/java/ work, though (not consuming 100% CPU), so I'm not 100% sure it's the plugin's fault.

Revision history for this message
Tim Frost (timfrost) wrote :

A possibly aggravating factor is that with both the Sun and IcedTea plugins installed, BOTH plugins are loaded. This appears to be because xulrunner is loading plugins from two locations:
* /usr/lib/xulrunner-addons/plugins (or /usr/lib/xulrunner-1.9.0.7/plugins, which is a symlink)
* AND /usr/lib/xulrunner/plugins

but is only installing ONE alternative entry for the plugin, while the Sun plugin installs seven. This appears to be because openjdk/debian/rules is overriding browser_plugin_dirs to just be xulrunner-addons. See attached patch.

I suspect that this bug and bug #344669 may be duplicates. This is because applets that worked under IcedTea *before* installing the sun plugin (as I reported in bug #344669) ceased to work after the following sequence of events:
1: the sun plugin was installed
2: update-java-alternatives --set java-6-sun
3: update-java-alternatives --plugin --set java-6-openjdk
My uncertainty is because I am running Jaunty 64-bit, while this bug does not state which architecture is involved.

Revision history for this message
Hernando Torque (htorque) wrote :

I don't have any sun plugins installed (running Jaunty 32-bit).

Revision history for this message
Javier Jardón (jjardon) wrote : apport-collect data

Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: icedtea6-plugin 6b14-1.4.1-0ubuntu4
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=es_ES.UTF-8
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
Javier Jardón (jjardon) wrote :
Revision history for this message
Bernhard (b.a.koenig) wrote :

Can confirm this on a fresh beta install of jaunty.

Revision history for this message
TJ (tj) wrote :

I'm currently investigating this and have assigned to me. However, if someone from the Java team is available feel free to take over assignment. I'll report my findings as I go.

Changed in openjdk-6 (Ubuntu):
assignee: nobody → intuitivenipple
importance: Undecided → High
milestone: none → ubuntu-9.04
Revision history for this message
TJ (tj) wrote :
Download full text (3.5 KiB)

The applet viewer worked earlier in the Jaunty cycle. I was using it successfully (on amd64 architecture) and then it stopped working - unfortunately when I first noticed it I'd not used a Java applet for a couple of weeks so couldn't pin it down to the package update that caused the issue.

Looking at the changelog indicates a major change in:

openjdk-6 (6b14-1.4.1-0ubuntu1) jaunty; urgency=low

  * Update IcedTea to the 1.4.1 release.

Looking at the IcedTea commits for the 1.4.1 release shows some relevant additions:

http://icedtea.classpath.org/hg/release/icedtea6-1.4.1/rev/b7957dd8ce9a

After reading the changelog and diffs the likely culprit is:

+ * IcedTeaPlugin.cc: Supply cookie info to Java side.
+ * plugin/icedtea/sun/applet/PluginAppletViewer.java: Apply patch from
+ Xerxes RÃ¥nby to prevent initialization timeout on slower systems. Also,
+ use cookie info when equests for jar are made.

Moving on to debugging the applet viewer, the debug trace for the test sites shows:

ICEDTEAPLUGIN_DEBUG=1 firefox http://java.com/en/download/help/testvm.xml
...
IcedTeaPluginInstance::SetWindow: Instance 0x2ac18f0 waiting for initialization...
...
REQUEST TAG, PARSING Thread[Thread-1,5,main]
... *** waits and CPU usage headlines ***
Initialization for instance 1 has timed out. Marking it void
ICEDTEA PLUGIN: Instance::SetWindow return

Looking at the source of "REQUEST TAG, PARSING..." at plugin/icedtea/sun/applet/PluginAppletViewer.java:386:PluginAppletViewer::handleMessage()

  PluginDebug.debug ("REQUEST TAG, PARSING " + Thread.currentThread());
  PluginAppletViewer.parse( identifier, request.handle,
    new StringReader(request.tag),
    new URL(request.documentbase) );

The IcedTea diff for the PluginAppletViewer::parse() function shows the diff:

http://icedtea.classpath.org/hg/release/icedtea6-1.4.1/diff/b7957dd8ce9a/plugin/icedtea/sun/applet/PluginAppletViewer.java

@@ -1455,6 +1467,11 @@ import sun.misc.Ref;
public static void parse(int identifier, long handle, Reader in, URL url)
throws IOException {
+
+ // wait until cookie is set (even if cookie is null, it needs to be
+ // "set" to that first
+ while (!siteCookies.containsKey(identifier));
+

My suspicion is that this the CPU us spinning on this while() condition because the HashMap never contains the 'identifier' key.

Looking further, the only place where (even a null cookie) is set is in handleMessage() when it receives a "cookie" message:

             } else if (message.startsWith("cookie")) {

                 int cookieStrIndex = message.indexOf(" ");
                 String cookieStr = null;

                 if (cookieStrIndex > 0)
                     cookieStr = message.substring(cookieStrIndex);

                 // Always set the cookie -- even if it is null
                 siteCookies.put(identifier, cookieStr);
             }

However the debug trace doesn't show any "PAV handling" for a "cookie" - only "handle" and "tag".

Looking further at the IcedTea commits shows that the cookie handling was omitted from the original commits:

http://icedtea.classpath.org/hg/release/icedtea6-1.4.1/rev/546ef0cdee06

 2009-03-09 Lillian Angel <langel@redhat....

Read more...

Revision history for this message
TJ (tj) wrote :

After patching I've confirmed the missing patch does indeed fix the problem. It's a shame the entire openjdk has to be rebuilt just for this (took a few hours!). I'll try to get the archive package updated asap:

...
Waiting for data...
  PIPE: appletviewer read: instance 1 cookie __utma=...
...
Waiting for data...
  PIPE: appletviewer read: instance 1 tag
...
Waiting for applet to initialize...
Applet initialized
...
Your JRE version number-javaVersionInt: 60
Current JRE version on Java.com - currentJREinTextInt: 613
Your Operating System: linux
Your OS Version: 2.6.28-11-generic
Your system architecture: amd64
...

Changed in openjdk-6 (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openjdk-6 - 6b14-1.4.1-0ubuntu5

---------------
openjdk-6 (6b14-1.4.1-0ubuntu5) jaunty; urgency=low

  [Matthias Klose]
  * Update to the final CACAO 0.99.4 release.
  * Security Vulnerability Fixes for OpenJDK:
    - 6522586: Enforce limits on Font creation.
    - 6536193: flaw in UTF8XmlOutput.
    - 6610888: Potential use of cleared of incorrect acc in JMX Monitor.
    - 6610896: JMX Monitor handles thread groups incorrectly.
    - 6630639: lightweight HttpServer leaks file descriptors on no-data
      connections.
    - 6632886: Font.createFont can be persuaded to leak temporary files.
    - 6636360: compiler/6595044/Main.java test fails with 64bit java on
      solaris-sparcv9 with SIGSEGV.
    - 6652463: MediaSize constructors allow to redefine the mapping of
      standard MediaSizeName values.
    - 6652929: Font.createFont(int,File) trusts File.getPath.
    - 6656633: getNotificationInfo methods static mutable (findbugs).
    - 6658158: Mutable statics in SAAJ (findbugs).
    - 6658163: txw2.DatatypeWriter.BUILDIN is a mutable static (findbugs).
    - 6691246: Thread context class loader can be set using JMX remote
      ClientNotifForwarded.
    - 6717680: LdapCtx does not close the connection if initialization fails.
    - 6721651: Security problem with out-of-the-box management.
    - 6737315: LDAP serialized data vulnerability.
    - 6792554: Java JAR Pack200 header checks are insufficent.
    - 6804996: JWS PNG Decoding Integer Overflow [V-flrhat2ln8].
    - 6804997: JWS GIF Decoding Heap Corruption [V-r687oxuocp].
    - 6804998: JRE GIF Decoding Heap Corruption [V-y6g5jlm8e1].
  * Add security patch for the lcms library.
  * Add accessibility patches java-access-bridge-security.patch and
    accessible-toolkit.patch.
  * Merge fixes for testsuite failures from the IcedTea6 branch.
  * Merge the proxy support for the plugin from the IcedTea6 branch.
  * Merge http://icedtea.classpath.org/hg/release/icedtea6-1.4.1/rev/546ef0cdee06
    (TJ). LP: #344705.
  * Add a Xb-Npp-Description for the IcedTea plugin. LP: #272010.

  [Edward Nevill]
  * Put VFP back in - selects VFP / novfp autmatically
  * More assembler optimisations

 -- Matthias Klose <email address hidden> Thu, 09 Apr 2009 14:14:12 +0200

Changed in openjdk-6 (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Bernhard (b.a.koenig) wrote :

Worked for me after today's upgrade. Thanks!

TJ (tj)
Changed in openjdk-6 (Ubuntu):
assignee: TJ (intuitivenipple) → nobody
Revision history for this message
Dave Gilbert (ubuntu-treblig) wrote :
Download full text (4.3 KiB)

Sorry, 6b14-1.4.1-0ubuntu6 doesn't fix it here; I've had that test page work once unrepeatably with 6;

I've seen a couple of errors (in .xsession-errors):

Apr 11, 2009 7:09:01 PM com.sun.corba.se.impl.ior.IORImpl getProfile
WARNING: "IOP00511201: (INV_OBJREF) IOR must have at least one IIOP profile"
org.omg.CORBA.INV_OBJREF: vmcid: SUN minor code: 1201 completed: No
 at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:473)
 at com.sun.corba.se.impl.logging.IORSystemException.iorMustHaveIiopProfile(IORSystemException.java:495)
 at com.sun.corba.se.impl.ior.IORImpl.getProfile(IORImpl.java:334)
 at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:787)
 at com.sun.corba.se.impl.encoding.CDRInputStream_1_0.read_Object(CDRInputStream_1_0.java:761)
 at com.sun.corba.se.impl.encoding.CDRInputStream.read_Object(CDRInputStream.java:231)
 at com.sun.corba.se.impl.resolver.INSURLOperationImpl.getIORFromString(INSURLOperationImpl.java:120)
 at com.sun.corba.se.impl.resolver.INSURLOperationImpl.operate(INSURLOperationImpl.java:130)
 at com.sun.corba.se.impl.orb.ORBImpl.string_to_object(ORBImpl.java:836)
 at org.GNOME.Accessibility.AccessUtil.getRegistryObject(AccessUtil.java:143)
 at org.GNOME.Accessibility.JavaBridge.registerApplication(JavaBridge.java:1099)
 at org.GNOME.Accessibility.JavaBridge.<init>(JavaBridge.java:364)
 at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
 at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
 at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
 at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
 at java.lang.Class.newInstance0(Class.java:372)
 at java.lang.Class.newInstance(Class.java:325)
 at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:786)
 at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:875)
 at java.awt.Window.getToolkit(Window.java:1170)
 at java.awt.Window.init(Window.java:400)
 at java.awt.Window.<init>(Window.java:438)
 at java.awt.Frame.<init>(Frame.java:419)
 at java.awt.Frame.<init>(Frame.java:384)
 at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:102)
 at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:99)
 at sun.awt.EmbeddedFrame.<init>(EmbeddedFrame.java:87)
 at sun.awt.X11.XEmbeddedFrame.<init>(XEmbeddedFrame.java:35)
 at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:188)
 at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
 at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
 at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
 at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
 at java.lang.Class.newInstance0(Class.java:372)
 at java.lang.Class.newInstance(Class.java:325)
 at sun.applet.PluginStreamHandler.<init>(PluginStreamHandler.java:85)
 at sun.applet.PluginMain.connect(PluginMain.java:150)
 at sun.applet.PluginMain.<init>(PluginMain.java:132)
 at sun.applet.PluginMain.m...

Read more...

Changed in openjdk-6 (Ubuntu):
status: Fix Released → New
Revision history for this message
Hernando Torque (htorque) wrote :

Confirming it's still not working with Firefox and still working with Opera.

Changed in openjdk-6 (Ubuntu):
status: New → Confirmed
Revision history for this message
Bernhard (b.a.koenig) wrote :

Does this site work for you guys?
http://www.amberchess2009.com/PGNViewer/live.html
That was my test site and it works for me in Firefox and Epiphany. And it didn't work earlier, so the upgrade fixed it for me. Cannot rule out that there are other sites where there still are problems.

Revision history for this message
thefuzz4 (jason-hamilton) wrote :

Ok I can confirm that this was not working for me earlier. I just did a complete purge of everything java on my machine.
Then after that was completed I followed it up with a
 sudo apt-get install sun-java6-jre sun-java6-plugin
and that got my java to now run correctly within firefox. Hope this helps.

Revision history for this message
Id2ndR (id2ndr) wrote :

Bernhard, yes it works for me with icedtea6-plugin 6b14-1.4.1-0ubuntu6 on jaunty amd64.

thefuzz4, sun-java6-plugin is the JVM of sun, not the free and open source one. You can use it but it's not related to this bug with icedtea6.

Revision history for this message
Tim Frost (timfrost) wrote :

I can confirm that after the update to 6b14-1.4.1-0ubuntu6, and purging sun-java6-plugin, my test cases work:
* http://java.com/en/download/help/testvm.xml
* http://java.sun.com/applets/other/Bubbles/index.html works
* http://www.jigzone.com/puzzles/daily-jigsaw works

If I then install sun-java6-plugin, BOTH plugins are loaded, indicating that:
- firefox 3 is seeing the two plugins via different paths
- the sun plugin is providing alternatives that the icedtea plugin doesn't

The sun plugin was first when I restarted firefox immediately after installing sun-java6-plugin. When I then reset the alternatives for the openk, the icedtea plugin appeared first. At that stage, I checked /etc/alternatives/*javaplugin*, and get the following list of alternatives, only one of which points to the icedtea plugin.
tim@zaphod:~$ ls -l /etc/alternatives/*javaplugin*
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/firefox-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/iceape-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/iceweasel-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/midbrowser-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/mozilla-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so
lrwxrwxrwx 1 root root 58 2009-04-13 11:21 /etc/alternatives/xulrunner-1.9-javaplugin.so -> /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/IcedTeaPlugin.so
lrwxrwxrwx 1 root root 49 2009-04-13 11:21 /etc/alternatives/xulrunner-javaplugin.so -> /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so

Checking firefox/xulrunner java plugin references gives:
tim@zaphod:~$ ls -l /usr/lib/xulrunner*/plugins/*java* /usr/lib/firefox*/plugins/*java*
lrwxrwxrwx 1 root root 45 2009-03-19 07:15 /usr/lib/xulrunner-1.9.0.8/plugins/libjavaplugin.so -> /etc/alternatives/xulrunner-1.9-javaplugin.so
lrwxrwxrwx 1 root root 45 2009-03-19 07:15 /usr/lib/xulrunner-addons/plugins/libjavaplugin.so -> /etc/alternatives/xulrunner-1.9-javaplugin.so
lrwxrwxrwx 1 root root 41 2009-04-13 11:17 /usr/lib/xulrunner/plugins/libjavaplugin.so -> /etc/alternatives/xulrunner-javaplugin.so
lrwxrwxrwx 1 root root 39 2009-04-13 11:17 /usr/lib/firefox/plugins/libjavaplugin.so -> /etc/alternatives/firefox-javaplugin.so
tim@zaphod:~$

So xulrunner code appears to be searching for plugins in at least two places (and finds different end targets).

This is a separate bug (may actually be two bugs:
  openjdk/icedtea plugin failing to provide the full set of alternatives
  xulrunner searching multiple places for its plugins

Revision history for this message
unggnu (unggnu) wrote :

Is it possible that it works now in Jaunty? I have no Sun java plugins installed and it seems to work.

Revision history for this message
unggnu (unggnu) wrote :

Simple Java games work but more complicated things still report that no Sun Java is installed. I guess they make a version check or something like that.

Revision history for this message
João Pinto (joaopinto) wrote :

unggnu,
some applets do verify the version and only run with specific versions, on that case the problem is on the java developers side, you will need to ask them to certify that their app will run with the openjdk.

Revision history for this message
Jamie Strandboge (jdstrand) wrote :

I am seeing this on an up to date Jaunty.

Changed in openjdk-6 (Ubuntu Jaunty):
status: New → Confirmed
Revision history for this message
TJ (tj) wrote :

Jamie, I can't reproduce the issue with the test applet described in the bug report. The applet loads and functions correctly:

http://java.com/en/download/help/testvm.xml

Additionally I've been using a Java applet that was consistently hitting the issue before the patch was cherry-picked every day and haven't seen it occur.

There are *other* causes that may cause the generic "IcedTea Plugin Doesn't Work" but the specific cause of this original bug - the lack of cookie propagation - was fixed.

Revision history for this message
Matteo Settenvini (tchernobog) wrote :

Seeing this problem on karmic, with openjdk-6: 6b16~pre3-0ubuntu1.
For example: http://micro.magnet.fsu.edu/primer/java/refraction/refractionangles/index.html
Most (all?) Java applets aren't working for me.

Revision history for this message
Ramaddan (ramaddan) wrote :

Hi,

Have the same problem here, the CPU load just shoots up, and the plugin doe snot really work.

Also, I noticed that the /usr/lib/mozilla/plugins/libjavaplugin.so was not pointing to the correct icetea java plugin, but rather to the sun java plugin.

Some programs still use the /usr/lib/mozilla/plugins, and thus this should be updated when a different java plugin is installed.

Hope this is fixed, as this is the only thing that stops many from using the open source java.

If you require any other type of information, please advise.

Revision history for this message
Stefan Fleiter (stefan-fleiter) wrote :

On Karmic before deinstalling sun-java firefox crashed with every java applet.
After removing everything besides default-jdk and its' dependencies on karmic amd64 I got the following backtrace.

java.lang.StringIndexOutOfBoundsException: String index out of range: 8
        at java.lang.String.substring(String.java:1946)
        at testvm2.Main.init(Main.java:79)
        at sun.applet.AppletPanel.run(AppletPanel.java:436)
        at java.lang.Thread.run(Thread.java:636)
java.lang.StringIndexOutOfBoundsException: String index out of range: 8
        at java.lang.String.substring(String.java:1946)
        at testvm2.Main.init(Main.java:79)
        at sun.applet.AppletPanel.run(AppletPanel.java:436)
        at java.lang.Thread.run(Thread.java:636)

Revision history for this message
muncrief (rmuncrief) wrote :

I was unable to get the icedtea java plugin to work on Ubuntu Jaunty x86_64 after trying all the suggestions on this thread, and others I found elsewhere.

However, I just discovered that Sun now provides a 64 bit plugin and it's in the Ubuntu repositories. I simply uninstalled icedtea java and installed the sun-java6-plugin package and it works on all the sites I've tested so far using Firefox 3.5.4pre.

I prefer open source but it looks like for now we have to use the Sun plugin because for whatever reason the icedtea plugin just doesn't work. And by the way, as others have commented it used to work under Jaunty, and I don't know when or why it stopped working.

Revision history for this message
TJ (tj) wrote :

The Jaunty issue with 100% CPU usage and complete failure to start the JVM is bug #359407 "Jaunty icedtea6-plugin doesn’t work in Firefox 3.5", for which the cause has been found and a patch is working.

Revision history for this message
Marcel Ebmer (idefixs) wrote :
Download full text (7.1 KiB)

http://games.asobrain.com/pages/play/xplorers.php?lobby=xnorank2

ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory
CONSTRUCTING FACTORY
ICEDTEAPLUGIN_DEBUG = 1
ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory return
ICEDTEA PLUGIN: Factory::GetMIMEDescription
ICEDTEA PLUGIN: Factory::GetMIMEDescription return
ICEDTEA PLUGIN: Factory::GetValue
ICEDTEA PLUGIN: Factory::GetValue return
ICEDTEA PLUGIN: Factory::GetValue
ICEDTEA PLUGIN: Factory::GetValue return
ICEDTEA PLUGIN: Factory::~IcedTeaPluginFactory
DECONSTRUCTING FACTORY
ICEDTEA PLUGIN: Factory::~IcedTeaPluginFactory return
NSGetFactory called
ICEDTEA PLUGIN: NSGetFactory: Creating factory
ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory
CONSTRUCTING FACTORY
ICEDTEAPLUGIN_DEBUG = 1
ICEDTEA PLUGIN: Factory::IcedTeaPluginFactory return
ICEDTEA PLUGIN: Factory::Initialize
ICEDTEA PLUGIN: Factory::Initialize: using /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/../../bin/java
ICEDTEA PLUGIN: thread manager
ICEDTEA PLUGIN: current thread
Initializing JVM...
ICEDTEA PLUGIN: get component manager
ICEDTEA PLUGIN: liveconnect
ICEDTEA PLUGIN: thread manager
ICEDTEA PLUGIN: Instance::StartAppletviewer
ICEDTEA PLUGIN: get component manager
ICEDTEA PLUGIN: create local file
ICEDTEA PLUGIN: init with path
../IcedTeaPlugin.cc:3858: Error: create process
ICEDTEA PLUGIN: Instance::StartAppletviewer return
../IcedTeaPlugin.cc:1666: Error: started appletviewer
ICEDTEA PLUGIN: Factory::Initialize return
ICEDTEA PLUGIN: Factory::CreateSecureEnv
ICEDTEA PLUGIN: JNIEnv::IcedTeaJNIEnv
ICEDTEA PLUGIN: JNIEnv::IcedTeaJNIEnv return
CREATESECUREENV
ICEDTEA PLUGIN: Factory::CreateSecureEnv return
ICEDTEA PLUGIN: Factory::CreateInstance
ICEDTEA PLUGIN: Instance::IcedTeaPluginInstance
ICEDTEA PLUGIN: Instance::IcedTeaPluginInstance return
ICEDTEA PLUGIN: Factory::CreateInstance return
ICEDTEA PLUGIN: Instance::Initialize
TAG FROM BROWSER = instance 1 tag http://games.asobrain.com/pages/play/xplorers.php?lobby=xnorank2 <applet codebase="/applets/xplorers/" archive="xplorers2.31.7.jar,sounds.jar" code="asobrain.xplorers.client.view.XploreApplet.class" height="100%" width="100%">
        <param name="boxmessage" value="Please wait while Xplorers is loading...">
        <param name="boxbgcolor" value="#5A78BE">
        <param name="boxfgcolor" value="#FFFFFF">
        <param name="progresscolor" value="#000080">
        <param name="progressbar" value="true">
        <param name="User" value="maysl">
        <param name="Auth" value="27ca0b3b99fdfc8449c8f7063bdf367b">
        <param name="Clan" value="">
        <param name="Skins" value="AsoBrain,Pale,Sara">
        <param name="DefaultSkin" value="asobrain">
        <param name="PrimaryPort" value="1986">
        <param name="SecondaryPort" value="1987">
        <param name="Status" value="0">
        <param name="showRanking" value="false">
        <param name="minimalPlayers" value="1">
        <param name="SelectOpponents" value="true">
        <param name="infoUrl" value="http://games.asobrain.com/pages/play/info.php">
        <param name="mapUrl" value="http://games.asobrain.com/pages/play/usermap.php?map=">
        <param name="java_arguments" value="-Dsun.java2d.d3d=false">
...

Read more...

Revision history for this message
Narchya (narchya) wrote :

I think I had the same problem before. Only had OpenJDK and IcedTea installed on my AMD64 Karmic install. It worked fine for most sites, but windows live (yes I still use it occasionally) didn't work.

Coincidentally while scouring this site I ran Update Manager and while following up some suggestions here it just worked. No SUN JAVA installed.

Revision history for this message
Przemek K. (azrael) wrote :

Any news on this bug?

Revision history for this message
Jari J. Lehtinen (jari-j-lehtinen-gmail) wrote :

This plugin does not work allright on Firefox3.6 on Lucid.

On page
www.runescape.com end selecting "Play Now"
comes a playground which is located 1/3 of the screen left so 1/3 of the playground is unvisible and 1/3 in the right side of the screen is blank.

At least two other people in the Finnish Ubuntuforum (forum.ubuntu-fi.org) have tested this page and they have had similar results.

The gamepage works fine with Karmic+FF3.5.7+sun-java6-plugin.

Revision history for this message
Matthias Klose (doko) wrote :

closing this report; the test applet on [1] currently works. Currently, because the build number of the sun-java6 package and the the openjdk-6 package match. This won't be forever, so expect this test page failing with old plugin versions. Also the test page claims that the sun java version is running, which is wrong.

Please refer to/open reports with problems on other pages in separate bug reports.

[1] http://java.com/en/download/help/testvm.xml

Changed in openjdk-6 (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Closing jaunty task as it is past EOL.

Changed in openjdk-6 (Ubuntu Jaunty):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.